org.apache.xmlbeans.impl.schema

## Class SchemaTypeSystemCompiler.Parameters

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeSystemCompiler.Parameters

- Enclosing class:
    SchemaTypeSystemCompiler

      public static class SchemaTypeSystemCompiler.Parameters
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getBaseURI()`
    `BindingConfig` | `getConfig()`
    `Collection<XmlError>` | `getErrorListener()`
    `SchemaTypeSystem` | `getExistingTypeSystem()`
    `SchemaTypeLoader` | `getLinkTo()`
    `String` | `getName()`
    `XmlOptions` | `getOptions()`
    `org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[]` | `getSchemas()`
    `File` | `getSchemasDir()`
    `Map<String,String>` | `getSourcesToCopyMap()`
    `boolean` | `isJavaize()`
    `void` | `setBaseURI(URI baseURI)`
    `void` | `setConfig(BindingConfig config)`
    `void` | `setErrorListener(Collection<XmlError> errorListener)`
    `void` | `setExistingTypeSystem(SchemaTypeSystem system)`
    `void` | `setJavaize(boolean javaize)`
    `void` | `setLinkTo(SchemaTypeLoader linkTo)`
    `void` | `setName(String name)`
    `void` | `setOptions(XmlOptions options)`
    `void` | `setSchemas(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] schemas)`
    `void` | `setSchemasDir(File schemasDir)`
    `void` | `setSourcesToCopyMap(Map<String,String> sourcesToCopyMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### getExistingTypeSystem

          public SchemaTypeSystem getExistingTypeSystem()

    - #### setExistingTypeSystem

          public void setExistingTypeSystem(SchemaTypeSystem system)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getSchemas

          public org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] getSchemas()

    - #### setSchemas

          public void setSchemas(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] schemas)

    - #### getConfig

          public BindingConfig getConfig()

    - #### setConfig

          public void setConfig(BindingConfig config)

    - #### getLinkTo

          public SchemaTypeLoader getLinkTo()

    - #### setLinkTo

          public void setLinkTo(SchemaTypeLoader linkTo)

    - #### getOptions

          public XmlOptions getOptions()

    - #### setOptions

          public void setOptions(XmlOptions options)

    - #### getErrorListener

          public Collection<XmlError> getErrorListener()

    - #### setErrorListener

          public void setErrorListener(Collection<XmlError> errorListener)

    - #### isJavaize

          public boolean isJavaize()

    - #### setJavaize

          public void setJavaize(boolean javaize)

    - #### getBaseURI

          public URI getBaseURI()

    - #### setBaseURI

          public void setBaseURI(URI baseURI)

    - #### getSourcesToCopyMap

          public Map<String,String> getSourcesToCopyMap()

    - #### setSourcesToCopyMap

          public void setSourcesToCopyMap(Map<String,String> sourcesToCopyMap)

    - #### getSchemasDir

          public File getSchemasDir()

    - #### setSchemasDir

          public void setSchemasDir(File schemasDir)